## org.apache.myfaces.renderkit.html.util
Interface DummyFormResponseWriter

All Known Implementing Classes:
  DummyFormResponseWriterWrapper, HtmlResponseWriterImpl

public interface DummyFormResponseWriter

Myfaces extension for ResponseWriters that support the automatical rendering of a dummy form when endDocument is called.

Version:
  $Revision: 167257 $ $Date: 2004-10-13 07:51:02 -0400 (Wed, 13 Oct 2004) $
Author:
  Manfred Geiler (latest modification by $Author: matze $)

Method Summary
`void` `addDummyFormParameter(java.lang.String paramName)` Adds a parameter that will be rendered as a hidden input within the dummy form.
`java.lang.String` `getDummyFormName()`
`void` `setWriteDummyForm(boolean writeDummyForm)` Switch on/off the writing of a dummy form in endDocument.

Method Detail

### setWriteDummyForm

    public void setWriteDummyForm(boolean writeDummyForm)

  Switch on/off the writing of a dummy form in endDocument.

  Parameters:
    `writeDummyForm` -

### getDummyFormName

    public java.lang.String getDummyFormName()

  Returns:
    name of the dummy form, that will be rendered

### addDummyFormParameter

    public void addDummyFormParameter(java.lang.String paramName)

  Adds a parameter that will be rendered as a hidden input within the dummy form.